import React from 'react';
import { Tooltip } from '@gravity-ui/uikit';
import { cn } from '../classname';
import { ToolbarTooltipDelay } from './const';
import './PreviewTooltip.css';
const b = cn('preview-tooltip');
export const PreviewTooltip = ({ preview, children }) => {
    if (!preview)
        return children;
    return (React.createElement(Tooltip, { placement: ['right', 'left'], className: b(), contentClassName: b('content'), disabled: !preview, openDelay: ToolbarTooltipDelay.Open, closeDelay: ToolbarTooltipDelay.Close, content: preview }, children));
};
